Create note
curl --request POST \
--url https://app.concretehq.com/api/v1/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Kickoff call notes…",
"occurredAt": "2026-04-15T14:00:00Z",
"topics": [
"board-meeting"
],
"companyPublicId": "abc123def456",
"personPublicId": "654fed321cba"
}
'import requests
url = "https://app.concretehq.com/api/v1/notes"
payload = {
"content": "Kickoff call notes…",
"occurredAt": "2026-04-15T14:00:00Z",
"topics": ["board-meeting"],
"companyPublicId": "abc123def456",
"personPublicId": "654fed321cba"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Kickoff call notes…',
occurredAt: '2026-04-15T14:00:00Z',
topics: ['board-meeting'],
companyPublicId: 'abc123def456',
personPublicId: '654fed321cba'
})
};
fetch('https://app.concretehq.com/api/v1/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicId": "abc123def456"
}{
"error": "Not found"
}{
"error": "Not found"
}Notes
Create note
Create a new note attached to a company or a person. Exactly one of
companyPublicId or personPublicId must be provided.
POST
/
notes
Create note
Authorizations
API key authentication using Bearer token format
Body
application/json
Input for creating a note. Exactly one of companyPublicId or personPublicId
must be provided.
Note content in Markdown. Rendered as rich text in the Concrete app.
Minimum string length:
1Example:
"Kickoff call notes…"
When the note's subject matter occurred (ISO 8601). Defaults to now.
Example:
"2026-04-15T14:00:00Z"
Topics categorizing the note. Optional, defaults to ["other"] if omitted.
Categorization for a note's subject matter.
Available options:
periodic-company-update, company-announcement, board-meeting, adhoc-company-update, legal-communication, other Example:
["board-meeting"]
Public ID of the company to attach the note to
Example:
"abc123def456"
Public ID of the person to attach the note to
Example:
"654fed321cba"
Response
Note created successfully
Created note public ID
Example:
"abc123def456"
⌘I

